<?php
$tdataloan_settings = array();
$tdataloan_settings[".searchableFields"] = array();
$tdataloan_settings[".ShortName"] = "loan_settings";
$tdataloan_settings[".OwnerID"] = "";
$tdataloan_settings[".OriginalTable"] = "loan_settings";


$tdataloan_settings[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataloan_settings[".originalPagesByType"] = $tdataloan_settings[".pagesByType"];
$tdataloan_settings[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataloan_settings[".originalPages"] = $tdataloan_settings[".pages"];
$tdataloan_settings[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataloan_settings[".originalDefaultPages"] = $tdataloan_settings[".defaultPages"];

//	field labels
$fieldLabelsloan_settings = array();
$fieldToolTipsloan_settings = array();
$pageTitlesloan_settings = array();
$placeHoldersloan_settings = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsloan_settings["English"] = array();
	$fieldToolTipsloan_settings["English"] = array();
	$placeHoldersloan_settings["English"] = array();
	$pageTitlesloan_settings["English"] = array();
	$fieldLabelsloan_settings["English"]["setting_id"] = "Setting Id";
	$fieldToolTipsloan_settings["English"]["setting_id"] = "";
	$placeHoldersloan_settings["English"]["setting_id"] = "";
	$fieldLabelsloan_settings["English"]["package_name"] = "Package Name";
	$fieldToolTipsloan_settings["English"]["package_name"] = "";
	$placeHoldersloan_settings["English"]["package_name"] = "";
	$fieldLabelsloan_settings["English"]["loan_amount"] = "Loan Amount";
	$fieldToolTipsloan_settings["English"]["loan_amount"] = "";
	$placeHoldersloan_settings["English"]["loan_amount"] = "";
	$fieldLabelsloan_settings["English"]["total_payable"] = "Total Payable";
	$fieldToolTipsloan_settings["English"]["total_payable"] = "";
	$placeHoldersloan_settings["English"]["total_payable"] = "";
	$fieldLabelsloan_settings["English"]["profit_amount"] = "Profit Amount";
	$fieldToolTipsloan_settings["English"]["profit_amount"] = "";
	$placeHoldersloan_settings["English"]["profit_amount"] = "";
	$fieldLabelsloan_settings["English"]["Installment_Amount"] = "Installment Amount";
	$fieldToolTipsloan_settings["English"]["Installment_Amount"] = "";
	$placeHoldersloan_settings["English"]["Installment_Amount"] = "";
	$fieldLabelsloan_settings["English"]["default_days"] = "Default Days";
	$fieldToolTipsloan_settings["English"]["default_days"] = "";
	$placeHoldersloan_settings["English"]["default_days"] = "";
	$fieldLabelsloan_settings["English"]["interval_days"] = "Interval Days";
	$fieldToolTipsloan_settings["English"]["interval_days"] = "";
	$placeHoldersloan_settings["English"]["interval_days"] = "";
	if (count($fieldToolTipsloan_settings["English"]))
		$tdataloan_settings[".isUseToolTips"] = true;
}


	$tdataloan_settings[".NCSearch"] = true;



$tdataloan_settings[".shortTableName"] = "loan_settings";
$tdataloan_settings[".nSecOptions"] = 0;

$tdataloan_settings[".mainTableOwnerID"] = "";
$tdataloan_settings[".entityType"] = 0;
$tdataloan_settings[".connId"] = "easy_cash_at_localhost";


$tdataloan_settings[".strOriginalTableName"] = "loan_settings";

	



$tdataloan_settings[".showAddInPopup"] = false;

$tdataloan_settings[".showEditInPopup"] = false;

$tdataloan_settings[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataloan_settings[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataloan_settings[".listAjax"] = true;
//	temporary
$tdataloan_settings[".listAjax"] = false;

	$tdataloan_settings[".audit"] = false;

	$tdataloan_settings[".locking"] = false;


$pages = $tdataloan_settings[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataloan_settings[".edit"] = true;
	$tdataloan_settings[".afterEditAction"] = 1;
	$tdataloan_settings[".closePopupAfterEdit"] = 1;
	$tdataloan_settings[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataloan_settings[".add"] = true;
$tdataloan_settings[".afterAddAction"] = 1;
$tdataloan_settings[".closePopupAfterAdd"] = 1;
$tdataloan_settings[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataloan_settings[".list"] = true;
}



$tdataloan_settings[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataloan_settings[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataloan_settings[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataloan_settings[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataloan_settings[".printFriendly"] = true;
}



$tdataloan_settings[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataloan_settings[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataloan_settings[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataloan_settings[".isUseAjaxSuggest"] = true;

$tdataloan_settings[".rowHighlite"] = true;



																								

$tdataloan_settings[".ajaxCodeSnippetAdded"] = false;

$tdataloan_settings[".buttonsAdded"] = false;

$tdataloan_settings[".addPageEvents"] = false;

// use timepicker for search panel
$tdataloan_settings[".isUseTimeForSearch"] = false;


$tdataloan_settings[".badgeColor"] = "DAA520";


$tdataloan_settings[".allSearchFields"] = array();
$tdataloan_settings[".filterFields"] = array();
$tdataloan_settings[".requiredSearchFields"] = array();

$tdataloan_settings[".googleLikeFields"] = array();
$tdataloan_settings[".googleLikeFields"][] = "setting_id";
$tdataloan_settings[".googleLikeFields"][] = "package_name";
$tdataloan_settings[".googleLikeFields"][] = "loan_amount";
$tdataloan_settings[".googleLikeFields"][] = "total_payable";
$tdataloan_settings[".googleLikeFields"][] = "profit_amount";
$tdataloan_settings[".googleLikeFields"][] = "Installment Amount";
$tdataloan_settings[".googleLikeFields"][] = "default_days";
$tdataloan_settings[".googleLikeFields"][] = "interval_days";



$tdataloan_settings[".tableType"] = "list";

$tdataloan_settings[".printerPageOrientation"] = 0;
$tdataloan_settings[".nPrinterPageScale"] = 100;

$tdataloan_settings[".nPrinterSplitRecords"] = 40;

$tdataloan_settings[".geocodingEnabled"] = false;





$tdataloan_settings[".isResizeColumns"] = true;





$tdataloan_settings[".pageSize"] = 20;

$tdataloan_settings[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataloan_settings[".strOrderBy"] = $tstrOrderBy;

$tdataloan_settings[".orderindexes"] = array();


$tdataloan_settings[".sqlHead"] = "SELECT setting_id,  	package_name,  	loan_amount,  	total_payable,  	profit_amount,  	`Installment Amount`,  	default_days,  	interval_days";
$tdataloan_settings[".sqlFrom"] = "FROM loan_settings";
$tdataloan_settings[".sqlWhereExpr"] = "";
$tdataloan_settings[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataloan_settings[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataloan_settings[".arrGroupsPerPage"] = $arrGPP;

$tdataloan_settings[".highlightSearchResults"] = true;

$tableKeysloan_settings = array();
$tableKeysloan_settings[] = "setting_id";
$tdataloan_settings[".Keys"] = $tableKeysloan_settings;


$tdataloan_settings[".hideMobileList"] = array();




//	setting_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "setting_id";
	$fdata["GoodName"] = "setting_id";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","setting_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "setting_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "setting_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["setting_id"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "setting_id";
//	package_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "package_name";
	$fdata["GoodName"] = "package_name";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","package_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "package_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "package_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["package_name"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "package_name";
//	loan_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "loan_amount";
	$fdata["GoodName"] = "loan_amount";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","loan_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "loan_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["loan_amount"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "loan_amount";
//	total_payable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "total_payable";
	$fdata["GoodName"] = "total_payable";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","total_payable");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_payable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_payable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["total_payable"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "total_payable";
//	profit_amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "profit_amount";
	$fdata["GoodName"] = "profit_amount";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","profit_amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "profit_amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "profit_amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["profit_amount"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "profit_amount";
//	Installment Amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Installment Amount";
	$fdata["GoodName"] = "Installment_Amount";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","Installment_Amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Installment Amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Installment Amount`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["Installment Amount"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "Installment Amount";
//	default_days
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "default_days";
	$fdata["GoodName"] = "default_days";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","default_days");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "default_days";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "default_days";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["default_days"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "default_days";
//	interval_days
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "interval_days";
	$fdata["GoodName"] = "interval_days";
	$fdata["ownerTable"] = "loan_settings";
	$fdata["Label"] = GetFieldLabel("loan_settings","interval_days");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "interval_days";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "interval_days";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloan_settings["interval_days"] = $fdata;
		$tdataloan_settings[".searchableFields"][] = "interval_days";


$tables_data["loan_settings"]=&$tdataloan_settings;
$field_labels["loan_settings"] = &$fieldLabelsloan_settings;
$fieldToolTips["loan_settings"] = &$fieldToolTipsloan_settings;
$placeHolders["loan_settings"] = &$placeHoldersloan_settings;
$page_titles["loan_settings"] = &$pageTitlesloan_settings;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["loan_settings"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["loan_settings"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_loan_settings()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "setting_id,  	package_name,  	loan_amount,  	total_payable,  	profit_amount,  	`Installment Amount`,  	default_days,  	interval_days";
$proto0["m_strFrom"] = "FROM loan_settings";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "setting_id",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto6["m_sql"] = "setting_id";
$proto6["m_srcTableName"] = "loan_settings";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "package_name",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto8["m_sql"] = "package_name";
$proto8["m_srcTableName"] = "loan_settings";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_amount",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto10["m_sql"] = "loan_amount";
$proto10["m_srcTableName"] = "loan_settings";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "total_payable",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto12["m_sql"] = "total_payable";
$proto12["m_srcTableName"] = "loan_settings";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "profit_amount",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto14["m_sql"] = "profit_amount";
$proto14["m_srcTableName"] = "loan_settings";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Installment Amount",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto16["m_sql"] = "`Installment Amount`";
$proto16["m_srcTableName"] = "loan_settings";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "default_days",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto18["m_sql"] = "default_days";
$proto18["m_srcTableName"] = "loan_settings";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "interval_days",
	"m_strTable" => "loan_settings",
	"m_srcTableName" => "loan_settings"
));

$proto20["m_sql"] = "interval_days";
$proto20["m_srcTableName"] = "loan_settings";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "loan_settings";
$proto23["m_srcTableName"] = "loan_settings";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "setting_id";
$proto23["m_columns"][] = "package_name";
$proto23["m_columns"][] = "loan_amount";
$proto23["m_columns"][] = "total_payable";
$proto23["m_columns"][] = "profit_amount";
$proto23["m_columns"][] = "Installment Amount";
$proto23["m_columns"][] = "default_days";
$proto23["m_columns"][] = "interval_days";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "loan_settings";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "loan_settings";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="loan_settings";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_loan_settings = createSqlQuery_loan_settings();


	
		;

								

$tdataloan_settings[".sqlquery"] = $queryData_loan_settings;



$tableEvents["loan_settings"] = new eventsBase;
$tdataloan_settings[".hasEvents"] = false;

?>